import { AWSDeployment } from '@goldstack/infra-aws';
import { TerraformDeployment } from '@goldstack/utils-terraform';
import { Deployment } from '@goldstack/infra';
import { Package, Configuration } from '@goldstack/utils-package';
/**
 * The name of the bucket.
 */
declare type BucketName = string;
export interface S3Deployment extends Deployment, AWSDeployment, TerraformDeployment {
    bucketName: BucketName;
}
/**
 * Places where the S3 bucket should be deployed to.
 *
 * @title Deployments
 */
export declare type S3Deployments = S3Deployment[];
/**
 *
 *
 * @title S3 Infrastructure Configuration
 */
export interface S3InfrastructureConfiguration {
    deployments: S3Deployments;
}
/**
 * Configures deployments for the S3 bucket.
 *
 * @title AWS Docker Image Configuration
 *
 */
export interface S3Configuration extends Configuration {
    infrastructure: S3InfrastructureConfiguration;
}
/**
 * An S3 bucket.
 *
 * @title S3 Package
 */
export interface S3Package extends Package {
    configuration: S3Configuration;
}
export {};
//# sourceMappingURL=S3Package.d.ts.map